package net.knarcraft.ffmpegconverter.streams;

/**
 * An abstract implementation of a stream object implementing common methods
 */
public abstract class AbstractStream implements StreamObject {

    int absoluteIndex;
    int relativeIndex;
    String codecName;
    String language;

    @Override
    public String getCodecName() {
        return this.codecName;
    }

    @Override
    public int getAbsoluteIndex() {
        return this.absoluteIndex;
    }

    @Override
    public int getRelativeIndex() {
        return this.relativeIndex;
    }

    @Override
    public String getLanguage() {
        return this.language;
    }

}